> ## Documentation Index
> Fetch the complete documentation index at: https://ailabtools.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# AI Emoji Generator

> AI Emoji Generator API turns portrait or pet photos into emoji-style grids with consistent expressions and scenes.



## OpenAPI

````yaml /docs/openapi.json post /api/image/effects/photo-to-emoji-grid
openapi: 3.0.0
info:
  title: AILabAPI
  description: >-
    [<b>AILabTools</b>](https://www.ailabtools.com) is an advanced tool that
    offers a vast array of simple and flexible API endpoints to suit your
    specific needs. With just one [<b>API
    KEY</b>](https://www.ailabtools.com/doc/get-api-key), you can easily call
    any of the endpoints and integrate them quickly into your application or
    workflow, allowing for smooth and efficient operations. 
     
    [<b>AILabTools</b>](https://www.ailabtools.com) is continuously evolving,
    and you can anticipate even more API endpoints being added in the future,
    further enhancing its capabilities and usefulness for your artificial
    intelligence and machine learning requirements.
  version: 1.0.0
servers:
  - url: https://www.ailabapi.com
    description: Production server
security:
  - apiKeyAuth: []
tags:
  - name: AI IMAGE
  - name: AI IMAGE > Image Enhancement
  - name: AI IMAGE > Image Effects
  - name: AI IMAGE > Image Editing
  - name: AI IMAGE > Image Scoring
  - name: AI BACKGROUND REMOVAL
  - name: AI BACKGROUND REMOVAL > Portrait
  - name: AI BACKGROUND REMOVAL > General
  - name: AI PORTRAIT
  - name: AI PORTRAIT > Portrait Effects
  - name: AI PORTRAIT > Portrait Enhance
  - name: AI PORTRAIT > Portrait Editing
  - name: AI PORTRAIT > Portrait Analysis
  - name: AI COMMON
paths:
  /api/image/effects/photo-to-emoji-grid:
    post:
      tags:
        - AI IMAGE > Image Effects
      summary: AI Emoji Generator
      description: >-
        AI Emoji Generator API turns portrait or pet photos into emoji-style
        grids with consistent expressions and scenes.
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - image
                - expression
                - style
                - scene
              properties:
                image:
                  type: string
                  format: binary
                  description: |-
                    Original image. 
                    - Image format: `JPEG` `JPG` `PNG` `WEBP` 
                    - Image size: No more than 10 MB. 
                    - Image resolution: Less than 4096x4096px.
                expression:
                  type: string
                  description: >-
                    Expression (English only). Max 100 characters; extra text
                    will be automatically truncated. Use standard vocabulary to
                    pass review.
                  maxLength: 100
                  example: Angry
                style:
                  type: string
                  description: >-
                    Style (English only). Max 100 characters; extra text will be
                    automatically truncated. Use standard vocabulary to pass
                    review.
                  maxLength: 100
                  example: 3D Emoji Render
                scene:
                  type: string
                  description: >-
                    Scene (English only). Max 100 characters; extra text will be
                    automatically truncated. Use standard vocabulary to pass
                    review.
                  maxLength: 100
                  example: Baby Shower
                filler:
                  type: string
                  description: >-
                    Filler Text (English only). Max 20 characters; extra text
                    will be automatically truncated. Use standard vocabulary to
                    pass review.
                  maxLength: 20
                  example: Go Go Go
      responses:
        '200':
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                request_id: ''
                log_id: ''
                error_detail:
                  code: ''
                  code_message: ''
                  message: ''
                task_type: async
                task_id: ''
          description: Success
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: ailabapi-api-key
      description: API Key for authentication

````